LOCAL_PATH := $(call my-dir)

include $(CLEAR_VARS)

LOCAL_LDLIBS := -Wl,-Bdynamic -lgcc  -ldl -lm -lz -llog -ljnigraphics -lGLESv2

LOCAL_CFLAGS := -D__GXX_EXPERIMENTAL_CXX0X__ -DHAVE_CONFIG_H -DRELEASE_BUILD -DARM_TARGET -DREDUCE_MEMORY_USAGE -DPOSIX -DDATA_PATH=\"${datarootdir}/scummvm\" -DPLUGIN_DIRECTORY=\"${exec_prefix}/lib/scummvm\"

LOCAL_CFLAGS += -I$(LOCAL_PATH)/../libmad -I$(LOCAL_PATH)/../libogg/include -I$(LOCAL_PATH)/../oggvorbis/include -I$(LOCAL_PATH)/engines 
LOCAL_CFLAGS += -O3

LOCAL_CPPFLAGS  += -std=c++11 -O3

LOCAL_CPPFLAGS :=  -Wall $(LOCAL_CPPFLAGS)
# Turn off some annoying and not-so-useful warnings
LOCAL_CPPFLAGS+= -Wno-long-long -Wno-multichar -Wno-unknown-pragmas -Wno-reorder -Wno-unused-parameter -Wno-empty-body
# Enable even more warnings...
LOCAL_CPPFLAGS+= -Wpointer-arith -Wcast-qual
LOCAL_CPPFLAGS+= -Wnon-virtual-dtor -Wwrite-strings
# Disable RTTI and exceptions
LOCAL_CPPFLAGS+= -fno-rtti -fno-exceptions

# compile with profiling
#LOCAL_CFLAGS += -pg
#LOCAL_STATIC_LIBRARIES := android-ndk-profiler

LOCAL_STATIC_LIBRARIES := libmad liboggvorbis

LOCAL_MODULE := engine

LOCAL_SRC_FILES := audio/audiostream.cpp
LOCAL_SRC_FILES += audio/decoders/aac.cpp
LOCAL_SRC_FILES += audio/decoders/adpcm.cpp
LOCAL_SRC_FILES += audio/decoders/aiff.cpp
LOCAL_SRC_FILES += audio/decoders/cdda.cpp
LOCAL_SRC_FILES += audio/decoders/flac.cpp
LOCAL_SRC_FILES += audio/decoders/iff_sound.cpp
LOCAL_SRC_FILES += audio/decoders/mac_snd.cpp
LOCAL_SRC_FILES += audio/decoders/mp3.cpp
LOCAL_SRC_FILES += audio/decoders/qdm2.cpp
LOCAL_SRC_FILES += audio/decoders/quicktime.cpp
LOCAL_SRC_FILES += audio/decoders/raw.cpp
LOCAL_SRC_FILES += audio/decoders/voc.cpp
LOCAL_SRC_FILES += audio/decoders/vorbis.cpp
LOCAL_SRC_FILES += audio/decoders/wave.cpp
LOCAL_SRC_FILES += audio/decoders/xa.cpp
LOCAL_SRC_FILES += audio/fmopl.cpp
LOCAL_SRC_FILES += audio/mididrv.cpp
LOCAL_SRC_FILES += audio/midiparser.cpp
LOCAL_SRC_FILES += audio/midiparser_smf.cpp
LOCAL_SRC_FILES += audio/midiparser_xmidi.cpp
LOCAL_SRC_FILES += audio/midiparser_qt.cpp
LOCAL_SRC_FILES += audio/midiplayer.cpp
LOCAL_SRC_FILES += audio/mixer.cpp
LOCAL_SRC_FILES += audio/mods/infogrames.cpp
LOCAL_SRC_FILES += audio/mods/maxtrax.cpp
LOCAL_SRC_FILES += audio/mods/module.cpp
LOCAL_SRC_FILES += audio/mods/paula.cpp
LOCAL_SRC_FILES += audio/mods/protracker.cpp
LOCAL_SRC_FILES += audio/mods/rjp1.cpp
LOCAL_SRC_FILES += audio/mods/soundfx.cpp
LOCAL_SRC_FILES += audio/mods/tfmx.cpp
LOCAL_SRC_FILES += audio/mpu401.cpp
LOCAL_SRC_FILES += audio/musicplugin.cpp
LOCAL_SRC_FILES += audio/null.cpp
LOCAL_SRC_FILES += audio/rate.cpp
LOCAL_SRC_FILES += audio/softsynth/adlib.cpp
LOCAL_SRC_FILES += audio/softsynth/appleiigs.cpp
LOCAL_SRC_FILES += audio/softsynth/cms.cpp
LOCAL_SRC_FILES += audio/softsynth/eas.cpp
LOCAL_SRC_FILES += audio/softsynth/fluidsynth.cpp
LOCAL_SRC_FILES += audio/softsynth/fmtowns_pc98/towns_audio.cpp
LOCAL_SRC_FILES += audio/softsynth/fmtowns_pc98/towns_euphony.cpp
LOCAL_SRC_FILES += audio/softsynth/fmtowns_pc98/towns_midi.cpp
LOCAL_SRC_FILES += audio/softsynth/fmtowns_pc98/towns_pc98_driver.cpp
LOCAL_SRC_FILES += audio/softsynth/fmtowns_pc98/towns_pc98_fmsynth.cpp
LOCAL_SRC_FILES += audio/softsynth/fmtowns_pc98/towns_pc98_plugins.cpp
LOCAL_SRC_FILES += audio/softsynth/opl/dbopl.cpp
LOCAL_SRC_FILES += audio/softsynth/opl/dosbox.cpp
LOCAL_SRC_FILES += audio/softsynth/opl/mame.cpp
LOCAL_SRC_FILES += audio/softsynth/pcspk.cpp
LOCAL_SRC_FILES += audio/softsynth/sid.cpp
LOCAL_SRC_FILES += audio/softsynth/wave6581.cpp
LOCAL_SRC_FILES += audio/timestamp.cpp
LOCAL_SRC_FILES += backends/audiocd/default/default-audiocd.cpp
LOCAL_SRC_FILES += backends/base-backend.cpp
LOCAL_SRC_FILES += backends/events/default/default-events.cpp
LOCAL_SRC_FILES += backends/fs/abstract-fs.cpp
LOCAL_SRC_FILES += backends/fs/posix/posix-fs-factory.cpp
LOCAL_SRC_FILES += backends/fs/posix/posix-fs.cpp
LOCAL_SRC_FILES += backends/fs/stdiostream.cpp
LOCAL_SRC_FILES += backends/log/log.cpp
LOCAL_SRC_FILES += backends/midi/alsa.cpp
LOCAL_SRC_FILES += backends/midi/dmedia.cpp
LOCAL_SRC_FILES += backends/midi/seq.cpp
LOCAL_SRC_FILES += backends/midi/sndio.cpp
LOCAL_SRC_FILES += backends/midi/stmidi.cpp
LOCAL_SRC_FILES += backends/midi/timidity.cpp
LOCAL_SRC_FILES += backends/modular-backend.cpp
LOCAL_SRC_FILES += backends/platform/android/android.cpp
LOCAL_SRC_FILES += backends/platform/android/AndroidPortAdditions.cpp
LOCAL_SRC_FILES += backends/platform/android/CursorHelper.cpp
LOCAL_SRC_FILES += backends/platform/android/HitAreaHelper.cpp

LOCAL_SRC_FILES += backends/platform/android/AndroidPortGlTextureHelper.cpp
LOCAL_SRC_FILES += backends/platform/android/AndroidPortUtils.cpp
LOCAL_SRC_FILES += backends/platform/android/asset-archive.cpp
LOCAL_SRC_FILES += backends/platform/android/events.cpp
LOCAL_SRC_FILES += backends/platform/android/GameAreaIdentifier.cpp
LOCAL_SRC_FILES += backends/platform/android/gfx.cpp
LOCAL_SRC_FILES += backends/platform/android/jni.cpp
LOCAL_SRC_FILES += backends/platform/android/OpenGLESHelper.cpp
LOCAL_SRC_FILES += backends/platform/android/texture.cpp
LOCAL_SRC_FILES += backends/platform/android/loghelper.cpp

LOCAL_SRC_FILES += backends/platform/android/graphics/Animation.cpp
LOCAL_SRC_FILES += backends/platform/android/graphics/AlphaAnimation.cpp
LOCAL_SRC_FILES += backends/platform/android/graphics/ScaleAnimation.cpp
LOCAL_SRC_FILES += backends/platform/android/graphics/WaitForConditionAnimation.cpp
LOCAL_SRC_FILES += backends/platform/android/graphics/ParallelAnimation.cpp
LOCAL_SRC_FILES += backends/platform/android/graphics/Interpolator.cpp
LOCAL_SRC_FILES += backends/platform/android/graphics/DeccelerateInterpolator.cpp
LOCAL_SRC_FILES += backends/platform/android/graphics/AccelerateInterpolator.cpp
LOCAL_SRC_FILES += backends/platform/android/graphics/Drawable.cpp
LOCAL_SRC_FILES += backends/platform/android/graphics/CursorDrawable.cpp
LOCAL_SRC_FILES += backends/platform/android/graphics/SequenceAnimationComposite.cpp
LOCAL_SRC_FILES += backends/platform/android/graphics/RepeatAnimationWrapper.cpp
LOCAL_SRC_FILES += backends/platform/android/subtitles/SRTParser.cpp
LOCAL_SRC_FILES += backends/platform/android/subtitles/SubtitlePlayer.cpp

LOCAL_SRC_FILES += backends/plugins/posix/posix-provider.cpp
LOCAL_SRC_FILES += backends/saves/default/default-saves.cpp
LOCAL_SRC_FILES += backends/saves/posix/posix-saves.cpp
LOCAL_SRC_FILES += backends/saves/savefile.cpp
LOCAL_SRC_FILES += backends/taskbar/unity/unity-taskbar.cpp
LOCAL_SRC_FILES += backends/timer/default/default-timer.cpp
LOCAL_SRC_FILES += base/commandLine.cpp
LOCAL_SRC_FILES += base/main.cpp
LOCAL_SRC_FILES += base/plugins.cpp
LOCAL_SRC_FILES += base/version.cpp
LOCAL_SRC_FILES += common/archive.cpp
LOCAL_SRC_FILES += common/config-file.cpp
LOCAL_SRC_FILES += common/config-manager.cpp
LOCAL_SRC_FILES += common/coroutines.cpp
LOCAL_SRC_FILES += common/cosinetables.cpp
LOCAL_SRC_FILES += common/dcl.cpp
LOCAL_SRC_FILES += common/dct.cpp
LOCAL_SRC_FILES += common/debug.cpp
LOCAL_SRC_FILES += common/error.cpp
LOCAL_SRC_FILES += common/EventDispatcher.cpp
LOCAL_SRC_FILES += common/EventMapper.cpp
LOCAL_SRC_FILES += common/EventRecorder.cpp
LOCAL_SRC_FILES += common/fft.cpp
LOCAL_SRC_FILES += common/file.cpp
LOCAL_SRC_FILES += common/fs.cpp
LOCAL_SRC_FILES += common/gui_options.cpp
LOCAL_SRC_FILES += common/hashmap.cpp
LOCAL_SRC_FILES += common/huffman.cpp
LOCAL_SRC_FILES += common/iff_container.cpp
LOCAL_SRC_FILES += common/installshield_cab.cpp
LOCAL_SRC_FILES += common/language.cpp
LOCAL_SRC_FILES += common/localization.cpp
LOCAL_SRC_FILES += common/macresman.cpp
LOCAL_SRC_FILES += common/md5.cpp
LOCAL_SRC_FILES += common/memoryfile.cpp
LOCAL_SRC_FILES += common/memorypool.cpp
LOCAL_SRC_FILES += common/mutex.cpp
LOCAL_SRC_FILES += common/platform.cpp
LOCAL_SRC_FILES += common/quicktime.cpp
LOCAL_SRC_FILES += common/random.cpp
LOCAL_SRC_FILES += common/rational.cpp
LOCAL_SRC_FILES += common/rdft.cpp
LOCAL_SRC_FILES += common/rendermode.cpp
LOCAL_SRC_FILES += common/sinetables.cpp
LOCAL_SRC_FILES += common/str.cpp
LOCAL_SRC_FILES += common/stream.cpp
LOCAL_SRC_FILES += common/system.cpp
LOCAL_SRC_FILES += common/textconsole.cpp
LOCAL_SRC_FILES += common/tokenizer.cpp
LOCAL_SRC_FILES += common/translation.cpp
LOCAL_SRC_FILES += common/unarj.cpp
LOCAL_SRC_FILES += common/unzip.cpp
LOCAL_SRC_FILES += common/ustr.cpp
LOCAL_SRC_FILES += common/util.cpp
LOCAL_SRC_FILES += common/winexe.cpp
LOCAL_SRC_FILES += common/winexe_ne.cpp
LOCAL_SRC_FILES += common/winexe_pe.cpp
LOCAL_SRC_FILES += common/xmlparser.cpp
LOCAL_SRC_FILES += common/zlib.cpp
LOCAL_SRC_FILES += engines/advancedDetector.cpp

LOCAL_SRC_FILES += engines/dialogs.cpp
LOCAL_SRC_FILES += engines/engine.cpp
LOCAL_SRC_FILES += engines/game.cpp
LOCAL_SRC_FILES += engines/obsolete.cpp
LOCAL_SRC_FILES += engines/savestate.cpp

LOCAL_SRC_FILES += engines/agos/AGOSAdditions.cpp
LOCAL_SRC_FILES += engines/agos/agos.cpp
LOCAL_SRC_FILES += engines/agos/animation.cpp
LOCAL_SRC_FILES += engines/agos/charset-fontdata.cpp
LOCAL_SRC_FILES += engines/agos/charset.cpp
LOCAL_SRC_FILES += engines/agos/contain.cpp
LOCAL_SRC_FILES += engines/agos/cursor.cpp
LOCAL_SRC_FILES += engines/agos/debug.cpp
LOCAL_SRC_FILES += engines/agos/debugger.cpp
LOCAL_SRC_FILES += engines/agos/detection.cpp
LOCAL_SRC_FILES += engines/agos/draw.cpp
LOCAL_SRC_FILES += engines/agos/event.cpp
LOCAL_SRC_FILES += engines/agos/feeble.cpp
LOCAL_SRC_FILES += engines/agos/gfx.cpp
LOCAL_SRC_FILES += engines/agos/icons.cpp
LOCAL_SRC_FILES += engines/agos/input.cpp
LOCAL_SRC_FILES += engines/agos/input_pn.cpp
LOCAL_SRC_FILES += engines/agos/items.cpp
LOCAL_SRC_FILES += engines/agos/menus.cpp
LOCAL_SRC_FILES += engines/agos/midi.cpp
LOCAL_SRC_FILES += engines/agos/midiparser_s1d.cpp
LOCAL_SRC_FILES += engines/agos/oracle.cpp
LOCAL_SRC_FILES += engines/agos/pn.cpp
LOCAL_SRC_FILES += engines/agos/res.cpp
LOCAL_SRC_FILES += engines/agos/res_ami.cpp
LOCAL_SRC_FILES += engines/agos/res_snd.cpp
LOCAL_SRC_FILES += engines/agos/rooms.cpp
LOCAL_SRC_FILES += engines/agos/saveload.cpp
LOCAL_SRC_FILES += engines/agos/script.cpp
LOCAL_SRC_FILES += engines/agos/script_dp.cpp
LOCAL_SRC_FILES += engines/agos/script_e1.cpp
LOCAL_SRC_FILES += engines/agos/script_e2.cpp
LOCAL_SRC_FILES += engines/agos/script_ff.cpp
LOCAL_SRC_FILES += engines/agos/script_pn.cpp
LOCAL_SRC_FILES += engines/agos/script_pp.cpp
LOCAL_SRC_FILES += engines/agos/script_s1.cpp
LOCAL_SRC_FILES += engines/agos/script_s2.cpp
LOCAL_SRC_FILES += engines/agos/script_ww.cpp
LOCAL_SRC_FILES += engines/agos/sound.cpp
LOCAL_SRC_FILES += engines/agos/string.cpp
LOCAL_SRC_FILES += engines/agos/string_pn.cpp
LOCAL_SRC_FILES += engines/agos/subroutine.cpp
LOCAL_SRC_FILES += engines/agos/verb.cpp
LOCAL_SRC_FILES += engines/agos/verb_pn.cpp
LOCAL_SRC_FILES += engines/agos/vga.cpp
LOCAL_SRC_FILES += engines/agos/vga_e2.cpp
LOCAL_SRC_FILES += engines/agos/vga_ff.cpp
LOCAL_SRC_FILES += engines/agos/vga_pn.cpp
LOCAL_SRC_FILES += engines/agos/vga_s1.cpp
LOCAL_SRC_FILES += engines/agos/vga_s2.cpp
LOCAL_SRC_FILES += engines/agos/vga_ww.cpp
LOCAL_SRC_FILES += engines/agos/window.cpp
LOCAL_SRC_FILES += engines/agos/zones.cpp

LOCAL_SRC_FILES += engines/groovie/cell.cpp
LOCAL_SRC_FILES += engines/groovie/cursor.cpp
LOCAL_SRC_FILES += engines/groovie/debug.cpp
LOCAL_SRC_FILES += engines/groovie/detection.cpp
LOCAL_SRC_FILES += engines/groovie/font.cpp
LOCAL_SRC_FILES += engines/groovie/graphics.cpp
LOCAL_SRC_FILES += engines/groovie/groovie.cpp
LOCAL_SRC_FILES += engines/groovie/lzss.cpp
LOCAL_SRC_FILES += engines/groovie/music.cpp
LOCAL_SRC_FILES += engines/groovie/player.cpp
LOCAL_SRC_FILES += engines/groovie/resource.cpp
LOCAL_SRC_FILES += engines/groovie/roq.cpp
LOCAL_SRC_FILES += engines/groovie/saveload.cpp
LOCAL_SRC_FILES += engines/groovie/script.cpp
LOCAL_SRC_FILES += engines/groovie/stuffit.cpp
LOCAL_SRC_FILES += engines/groovie/vdx.cpp

LOCAL_SRC_FILES += engines/queen/bankman.cpp
LOCAL_SRC_FILES += engines/queen/command.cpp
LOCAL_SRC_FILES += engines/queen/credits.cpp
LOCAL_SRC_FILES += engines/queen/cutaway.cpp
LOCAL_SRC_FILES += engines/queen/debug.cpp
LOCAL_SRC_FILES += engines/queen/detection.cpp
LOCAL_SRC_FILES += engines/queen/display.cpp
LOCAL_SRC_FILES += engines/queen/graphics.cpp
LOCAL_SRC_FILES += engines/queen/grid.cpp
LOCAL_SRC_FILES += engines/queen/input.cpp
LOCAL_SRC_FILES += engines/queen/journal.cpp
LOCAL_SRC_FILES += engines/queen/logic.cpp
LOCAL_SRC_FILES += engines/queen/midiadlib.cpp
LOCAL_SRC_FILES += engines/queen/music.cpp
LOCAL_SRC_FILES += engines/queen/musicdata.cpp
LOCAL_SRC_FILES += engines/queen/queen.cpp
LOCAL_SRC_FILES += engines/queen/resource.cpp
LOCAL_SRC_FILES += engines/queen/restables.cpp
LOCAL_SRC_FILES += engines/queen/sound.cpp
LOCAL_SRC_FILES += engines/queen/state.cpp
LOCAL_SRC_FILES += engines/queen/talk.cpp
LOCAL_SRC_FILES += engines/queen/walk.cpp
LOCAL_SRC_FILES += engines/saga/actor.cpp
LOCAL_SRC_FILES += engines/saga/actor_path.cpp
LOCAL_SRC_FILES += engines/saga/actor_walk.cpp
LOCAL_SRC_FILES += engines/saga/animation.cpp
LOCAL_SRC_FILES += 	engines/saga/console.cpp
LOCAL_SRC_FILES += 	engines/saga/detection.cpp
LOCAL_SRC_FILES += 	engines/saga/events.cpp
LOCAL_SRC_FILES += 	engines/saga/font.cpp
LOCAL_SRC_FILES += 	engines/saga/font_map.cpp
LOCAL_SRC_FILES += 	engines/saga/gfx.cpp
LOCAL_SRC_FILES += 	engines/saga/image.cpp
LOCAL_SRC_FILES += 	engines/saga/input.cpp
LOCAL_SRC_FILES += 	engines/saga/interface.cpp
LOCAL_SRC_FILES += 	engines/saga/introproc_ite.cpp
LOCAL_SRC_FILES += engines/saga/isomap.cpp
LOCAL_SRC_FILES += 	engines/saga/itedata.cpp
LOCAL_SRC_FILES += 	engines/saga/music.cpp
LOCAL_SRC_FILES += 	engines/saga/objectmap.cpp
LOCAL_SRC_FILES += 	engines/saga/palanim.cpp
LOCAL_SRC_FILES += 	engines/saga/puzzle.cpp
LOCAL_SRC_FILES += 	engines/saga/render.cpp
LOCAL_SRC_FILES += 	engines/saga/resource.cpp
LOCAL_SRC_FILES += 	engines/saga/resource_rsc.cpp
LOCAL_SRC_FILES += 	engines/saga/saga.cpp
LOCAL_SRC_FILES += 	engines/saga/saveload.cpp
LOCAL_SRC_FILES += 	engines/saga/scene.cpp
LOCAL_SRC_FILES += 	engines/saga/script.cpp
LOCAL_SRC_FILES += 	engines/saga/sfuncs.cpp
LOCAL_SRC_FILES += 	engines/saga/shorten.cpp
LOCAL_SRC_FILES += 	engines/saga/sndres.cpp
LOCAL_SRC_FILES += 	engines/saga/sound.cpp
LOCAL_SRC_FILES += 	engines/saga/sprite.cpp
LOCAL_SRC_FILES += 	engines/saga/sthread.cpp
LOCAL_SRC_FILES += 	engines/saga/introproc_ihnm.cpp
LOCAL_SRC_FILES += 	engines/saga/resource_res.cpp
LOCAL_SRC_FILES += 	engines/saga/sfuncs_ihnm.cpp

LOCAL_SRC_FILES += graphics/conversion.cpp
LOCAL_SRC_FILES += graphics/cursorman.cpp
LOCAL_SRC_FILES += graphics/decoders/bmp.cpp
LOCAL_SRC_FILES += graphics/decoders/jpeg.cpp
LOCAL_SRC_FILES += graphics/decoders/pcx.cpp
LOCAL_SRC_FILES += graphics/decoders/pict.cpp
LOCAL_SRC_FILES += graphics/decoders/png.cpp
LOCAL_SRC_FILES += graphics/decoders/tga.cpp
LOCAL_SRC_FILES += graphics/font.cpp
LOCAL_SRC_FILES += graphics/fontman.cpp
LOCAL_SRC_FILES += graphics/fonts/bdf.cpp
LOCAL_SRC_FILES += graphics/fonts/consolefont.cpp
LOCAL_SRC_FILES += graphics/fonts/newfont.cpp
LOCAL_SRC_FILES += graphics/fonts/newfont_big.cpp
LOCAL_SRC_FILES += graphics/fonts/ttf.cpp
LOCAL_SRC_FILES += graphics/fonts/winfont.cpp
LOCAL_SRC_FILES += graphics/iff.cpp
LOCAL_SRC_FILES += graphics/maccursor.cpp
LOCAL_SRC_FILES += graphics/primitives.cpp
#LOCAL_SRC_FILES += graphics/scaler/2xsai.cpp
LOCAL_SRC_FILES += graphics/scaler/aspect.cpp
LOCAL_SRC_FILES += graphics/scaler/dotmatrix.cpp
LOCAL_SRC_FILES += graphics/scaler/normal.cpp

LOCAL_SRC_FILES += graphics/scaler/downscaler.cpp
#LOCAL_SRC_FILES += graphics/scaler/edge.cpp
LOCAL_SRC_FILES += graphics/scaler/hq.cpp
#LOCAL_SRC_FILES += graphics/scaler/hq2x.cpp
#LOCAL_SRC_FILES += graphics/scaler/hq3x.cpp
#LOCAL_SRC_FILES += graphics/scaler/pm.cpp
#LOCAL_SRC_FILES += graphics/scaler/scale2x.cpp
#LOCAL_SRC_FILES += graphics/scaler/scale2xARM.s
#LOCAL_SRC_FILES += graphics/scaler/scale3x.cpp
#LOCAL_SRC_FILES += graphics/scaler/scalebit.cpp
LOCAL_SRC_FILES += graphics/scaler/thumbnail_intern.cpp
LOCAL_SRC_FILES += graphics/scaler.cpp
LOCAL_SRC_FILES += graphics/scalerplugin.cpp
LOCAL_SRC_FILES += graphics/sjis.cpp
LOCAL_SRC_FILES += graphics/surface.cpp
LOCAL_SRC_FILES += graphics/thumbnail.cpp
LOCAL_SRC_FILES += graphics/VectorRenderer.cpp
LOCAL_SRC_FILES += graphics/VectorRendererSpec.cpp
LOCAL_SRC_FILES += graphics/wincursor.cpp
LOCAL_SRC_FILES += graphics/yuv_to_rgb.cpp
LOCAL_SRC_FILES += gui/about.cpp
LOCAL_SRC_FILES += gui/browser.cpp
LOCAL_SRC_FILES += gui/chooser.cpp
LOCAL_SRC_FILES += gui/console.cpp
LOCAL_SRC_FILES += gui/debugger.cpp
LOCAL_SRC_FILES += gui/dialog.cpp
LOCAL_SRC_FILES += gui/error.cpp
LOCAL_SRC_FILES += gui/EventRecorder.cpp
LOCAL_SRC_FILES += gui/gui-manager.cpp
LOCAL_SRC_FILES += gui/launcher.cpp
LOCAL_SRC_FILES += gui/massadd.cpp
LOCAL_SRC_FILES += gui/message.cpp
LOCAL_SRC_FILES += gui/object.cpp
LOCAL_SRC_FILES += gui/options.cpp
LOCAL_SRC_FILES += gui/predictivedialog.cpp
LOCAL_SRC_FILES += gui/saveload-dialog.cpp
LOCAL_SRC_FILES += gui/saveload.cpp
LOCAL_SRC_FILES += gui/themebrowser.cpp
LOCAL_SRC_FILES += gui/ThemeEngine.cpp
LOCAL_SRC_FILES += gui/ThemeEval.cpp
LOCAL_SRC_FILES += gui/ThemeLayout.cpp
LOCAL_SRC_FILES += gui/ThemeParser.cpp
LOCAL_SRC_FILES += gui/Tooltip.cpp
LOCAL_SRC_FILES += gui/widget.cpp
LOCAL_SRC_FILES += gui/widgets/editable.cpp
LOCAL_SRC_FILES += gui/widgets/edittext.cpp
LOCAL_SRC_FILES += gui/widgets/list.cpp
LOCAL_SRC_FILES += gui/widgets/popup.cpp
LOCAL_SRC_FILES += gui/widgets/scrollbar.cpp
LOCAL_SRC_FILES += gui/widgets/tab.cpp

LOCAL_SRC_FILES += image/jpeg.cpp
LOCAL_SRC_FILES += image/iff.cpp
LOCAL_SRC_FILES += image/pcx.cpp



# The following are SCUMM engine files:
LOCAL_SRC_FILES +=  engines/scumm/actor.cpp
LOCAL_SRC_FILES += 	engines/scumm/akos.cpp
LOCAL_SRC_FILES += 	engines/scumm/base-costume.cpp
LOCAL_SRC_FILES += 	engines/scumm/bomp.cpp
LOCAL_SRC_FILES += 	engines/scumm/boxes.cpp
LOCAL_SRC_FILES += 	engines/scumm/camera.cpp
LOCAL_SRC_FILES += 	engines/scumm/charset.cpp
LOCAL_SRC_FILES += 	engines/scumm/charset-fontdata.cpp
LOCAL_SRC_FILES += 	engines/scumm/costume.cpp
LOCAL_SRC_FILES += 	engines/scumm/cursor.cpp
LOCAL_SRC_FILES += 	engines/scumm/debugger.cpp
LOCAL_SRC_FILES += 	engines/scumm/detection.cpp
LOCAL_SRC_FILES += 	engines/scumm/dialogs.cpp
LOCAL_SRC_FILES += 	engines/scumm/file.cpp
LOCAL_SRC_FILES += 	engines/scumm/file_nes.cpp
LOCAL_SRC_FILES += 	engines/scumm/gfx_towns.cpp
LOCAL_SRC_FILES += 	engines/scumm/gfx.cpp
LOCAL_SRC_FILES += 	engines/scumm/he/resource_he.cpp
LOCAL_SRC_FILES += 	engines/scumm/he/script_v60he.cpp
LOCAL_SRC_FILES += 	engines/scumm/he/script_v70he.cpp
LOCAL_SRC_FILES += 	engines/scumm/he/sound_he.cpp
LOCAL_SRC_FILES += 	engines/scumm/help.cpp
LOCAL_SRC_FILES += 	engines/scumm/imuse/imuse.cpp
LOCAL_SRC_FILES += 	engines/scumm/imuse/imuse_part.cpp
LOCAL_SRC_FILES += 	engines/scumm/imuse/imuse_player.cpp
LOCAL_SRC_FILES += 	engines/scumm/imuse/instrument.cpp
LOCAL_SRC_FILES += 	engines/scumm/imuse/mac_m68k.cpp
LOCAL_SRC_FILES += 	engines/scumm/imuse/pcspk.cpp
LOCAL_SRC_FILES += 	engines/scumm/imuse/sysex_samnmax.cpp
LOCAL_SRC_FILES += 	engines/scumm/imuse/sysex_scumm.cpp
LOCAL_SRC_FILES += 	engines/scumm/input.cpp
LOCAL_SRC_FILES += 	engines/scumm/midiparser_ro.cpp
LOCAL_SRC_FILES += 	engines/scumm/object.cpp
LOCAL_SRC_FILES += 	engines/scumm/palette.cpp
LOCAL_SRC_FILES += 	engines/scumm/player_apple2.cpp
LOCAL_SRC_FILES += 	engines/scumm/player_mod.cpp
LOCAL_SRC_FILES += 	engines/scumm/player_nes.cpp
LOCAL_SRC_FILES += 	engines/scumm/player_pce.cpp
LOCAL_SRC_FILES += 	engines/scumm/player_sid.cpp
LOCAL_SRC_FILES += 	engines/scumm/player_towns.cpp
LOCAL_SRC_FILES += 	engines/scumm/player_v1.cpp
LOCAL_SRC_FILES += 	engines/scumm/player_v2.cpp
LOCAL_SRC_FILES += 	engines/scumm/player_v2a.cpp
LOCAL_SRC_FILES += 	engines/scumm/player_v2base.cpp
LOCAL_SRC_FILES += 	engines/scumm/player_v2cms.cpp
LOCAL_SRC_FILES += 	engines/scumm/player_v3a.cpp
LOCAL_SRC_FILES += 	engines/scumm/player_v4a.cpp
LOCAL_SRC_FILES += 	engines/scumm/players/player_ad.cpp
LOCAL_SRC_FILES += 	engines/scumm/players/player_v5m.cpp
LOCAL_SRC_FILES += 	engines/scumm/players/player_mac.cpp
LOCAL_SRC_FILES += 	engines/scumm/players/player_v3m.cpp
LOCAL_SRC_FILES += 	engines/scumm/resource_v2.cpp
LOCAL_SRC_FILES += 	engines/scumm/resource_v3.cpp
LOCAL_SRC_FILES += 	engines/scumm/resource_v4.cpp
LOCAL_SRC_FILES += 	engines/scumm/resource.cpp
LOCAL_SRC_FILES += 	engines/scumm/room.cpp
LOCAL_SRC_FILES += 	engines/scumm/saveload.cpp
LOCAL_SRC_FILES += 	engines/scumm/script_v0.cpp
LOCAL_SRC_FILES += 	engines/scumm/script_v2.cpp
LOCAL_SRC_FILES += 	engines/scumm/script_v3.cpp
LOCAL_SRC_FILES += 	engines/scumm/script_v4.cpp
LOCAL_SRC_FILES += 	engines/scumm/script_v5.cpp
LOCAL_SRC_FILES += 	engines/scumm/script_v6.cpp
LOCAL_SRC_FILES += 	engines/scumm/script.cpp
LOCAL_SRC_FILES += 	engines/scumm/scumm.cpp
LOCAL_SRC_FILES += 	engines/scumm/sound.cpp
LOCAL_SRC_FILES += 	engines/scumm/string.cpp
LOCAL_SRC_FILES += 	engines/scumm/usage_bits.cpp
LOCAL_SRC_FILES += 	engines/scumm/util.cpp
LOCAL_SRC_FILES += 	engines/scumm/vars.cpp
LOCAL_SRC_FILES += 	engines/scumm/verbs.cpp


#LOCAL_SRC_FILES += 	engines/scumm/nut_renderer.cpp
#LOCAL_SRC_FILES += 	engines/scumm/script_v8.cpp 
#LOCAL_SRC_FILES += 	engines/scumm/imuse_digi/dimuse.cpp 
#LOCAL_SRC_FILES += 	engines/scumm/imuse_digi/dimuse_bndmgr.cpp 
#LOCAL_SRC_FILES += 	engines/scumm/imuse_digi/dimuse_codecs.cpp 
#LOCAL_SRC_FILES += 	engines/scumm/imuse_digi/dimuse_music.cpp 
#LOCAL_SRC_FILES += 	engines/scumm/imuse_digi/dimuse_sndmgr.cpp 
#LOCAL_SRC_FILES += 	engines/scumm/imuse_digi/dimuse_script.cpp 
#LOCAL_SRC_FILES += 	engines/scumm/imuse_digi/dimuse_track.cpp 
#LOCAL_SRC_FILES += 	engines/scumm/imuse_digi/dimuse_tables.cpp 
#LOCAL_SRC_FILES += 	engines/scumm/insane/insane.cpp 
#LOCAL_SRC_FILES += 	engines/scumm/insane/insane_ben.cpp 
#LOCAL_SRC_FILES += 	engines/scumm/insane/insane_enemy.cpp 
#LOCAL_SRC_FILES += 	engines/scumm/insane/insane_scenes.cpp 
#LOCAL_SRC_FILES += 	engines/scumm/insane/insane_iact.cpp 
#LOCAL_SRC_FILES += 	engines/scumm/smush/channel.cpp 
#LOCAL_SRC_FILES += 	engines/scumm/smush/codec1.cpp 
#LOCAL_SRC_FILES += 	engines/scumm/smush/codec37.cpp 
#LOCAL_SRC_FILES += 	engines/scumm/smush/codec47.cpp 
#LOCAL_SRC_FILES += 	engines/scumm/smush/imuse_channel.cpp 
	#LOCAL_SRC_FILES += engines/scumm/smush/smush_player.cpp 
#LOCAL_SRC_FILES += 	engines/scumm/smush/saud_channel.cpp 
#LOCAL_SRC_FILES += 	engines/scumm/smush/smush_mixer.cpp 
#LOCAL_SRC_FILES += 	engines/scumm/smush/smush_font.cpp

#LOCAL_SRC_FILES += 	engines/scumm/smush/codec47ARM.s

#LOCAL_SRC_FILES += 	engines/scumm/gfxARM.s

#LOCAL_SRC_FILES += 	engines/scumm/he/animation_he.cpp 
#LOCAL_SRC_FILES += 	engines/scumm/he/cup_player_he.cpp 
#LOCAL_SRC_FILES += 	engines/scumm/he/floodfill_he.cpp 
#LOCAL_SRC_FILES += 	engines/scumm/he/logic_he.cpp 
#LOCAL_SRC_FILES += 	engines/scumm/he/palette_he.cpp 
#LOCAL_SRC_FILES += 	engines/scumm/he/script_v71he.cpp 
#LOCAL_SRC_FILES += 	engines/scumm/he/script_v72he.cpp 
#LOCAL_SRC_FILES += 	engines/scumm/he/script_v80he.cpp 
#LOCAL_SRC_FILES += 	engines/scumm/he/script_v90he.cpp 
#LOCAL_SRC_FILES += 	engines/scumm/he/script_v100he.cpp 
#LOCAL_SRC_FILES += 	engines/scumm/he/sprite_he.cpp 
#LOCAL_SRC_FILES += 	engines/scumm/he/wiz_he.cpp 
#LOCAL_SRC_FILES += 	engines/scumm/he/logic/baseball2001.cpp 
#LOCAL_SRC_FILES += 	engines/scumm/he/logic/basketball.cpp 
#LOCAL_SRC_FILES += 	engines/scumm/he/logic/football.cpp 
#LOCAL_SRC_FILES += 	engines/scumm/he/logic/funshop.cpp 
#LOCAL_SRC_FILES += 	engines/scumm/he/logic/moonbase.cpp 
#LOCAL_SRC_FILES += 	engines/scumm/he/logic/puttrace.cpp 
#LOCAL_SRC_FILES += 	engines/scumm/he/logic/soccer.cpp


# The following were removed to conserve size:

#LOCAL_SRC_FILES += video/avi_decoder.cpp
#LOCAL_SRC_FILES += video/bink_decoder.cpp
#LOCAL_SRC_FILES += video/codecs/cdtoons.cpp
#LOCAL_SRC_FILES += video/codecs/cinepak.cpp
#LOCAL_SRC_FILES += video/codecs/indeo3.cpp
#LOCAL_SRC_FILES += video/codecs/mjpeg.cpp
#LOCAL_SRC_FILES += video/codecs/msrle.cpp
#LOCAL_SRC_FILES += video/codecs/msvideo1.cpp
#LOCAL_SRC_FILES += video/codecs/qtrle.cpp
#LOCAL_SRC_FILES += video/codecs/rpza.cpp
#LOCAL_SRC_FILES += video/codecs/smc.cpp
#LOCAL_SRC_FILES += video/codecs/svq1.cpp
#LOCAL_SRC_FILES += video/codecs/truemotion1.cpp
#LOCAL_SRC_FILES += video/coktel_decoder.cpp
#LOCAL_SRC_FILES += video/dxa_decoder.cpp
#LOCAL_SRC_FILES += video/flic_decoder.cpp
#LOCAL_SRC_FILES += video/psx_decoder.cpp
#LOCAL_SRC_FILES += video/qt_decoder.cpp
#LOCAL_SRC_FILES += video/smk_decoder.cpp
#LOCAL_SRC_FILES += video/video_decoder.cpp


include $(BUILD_SHARED_LIBRARY)

#$(call import-module,android-ndk-profiler)
